[package]
name = "gsf-cli"
version = "0.6.0"
edition = "2021"

[[bin]]
name = "gsf"
path = "src/main.rs"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
anyhow = { workspace = true }
clap_complete = "4.4.9"
clap = { workspace = true }
gsf-core = { path = "../crates/core/", features = ["clap"] }
gsf-tui = { path = "./../tui/" }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }

[build-dependencies]
cc = "1.2.3"
